EDIT - task #10064

Upgrade cybertaxonomy.org to Drupal9
05/12/2022 10:41 PM - Andreas Mdller

Status: Resolved Start date:
Priority: Priority14 Due date:
Assignee: Andreas Muller % Done: 80%
Category: platform Estimated time: 0:00 hour
Target version: Release 5.32
Severity: normal
Description
... as support for Drupal8 already ended this is an urgent issue.
#9994: "Drupal8 needs to be upgraded to D9/10"
Related issues:
Related to EDIT - task #9994: Tasks from documentation meeting 3/22 Closed 04/01/2022 04/08/2022
Blocks EDIT - task #9991: Move content for users and admins from site.xml's t... New 05/12/2022 05/29/2022
History
#1 - 05/12/2022 10:41 PM - Andreas Miiller
- Related to task #9994: Tasks from documentation meeting 3/22 added
#2 - 05/12/2022 10:42 PM - Andreas Miiller
- Description updated
#4 - 05/12/2022 10:49 PM - Andreas Miiller
- Related to task #9991: Move content for users and admins from site.xml's to cybertaxonomy.org/drupal added
#5 - 05/12/2022 10:52 PM - Andreas Miiller
- Related to deleted (task #9991: Move content for users and admins from site.xml's to cybertaxonomy.org/drupal)
#6 - 05/12/2022 10:52 PM - Andreas Miiller
- Blocks task #9991: Move content for users and admins from site.xml's to cybertaxonomy.org/drupal added
#7 - 05/16/2022 08:45 AM - Katja Luther
see https://www.drupal.org/docs/upgrading-drupal/how-to-prepare-your-drupal-7-or-8-site-for-drupal-9/upgrading-a-drupal-8-site
e First update drupal to 8.8 or 8.9, these versions are compatible with the drupal 9 API. (actual version 8.6.10)
e Update all modules to the drupal version.
e Use Composer to manage Drupal dependencies. Drush 9 and newer no longer supports updating Drupal.(see
https://www.drupal.org/docs/updating-drupal/updating-drupal-core-via-drush)
e https://drupalize.me/tutorial/update-drupal-versions-prior-88x-using-composer?p=3233
#8 - 05/17/2022 11:46 AM - Katja Luther
- Status changed from New to In Progress
Updated to 8.9, now the update to drupal 9 should work.
-> To check whether everything is compatible with drupal 9, install drupal check (https:/github.com/mglaman/drupal-check)
e the menu was broken after update, therefore the custom urls for the cybertaxonomy theme needed to be updated to
https://cybertaxonomy.org/theme/customy....
https://www.drupal.org/docs/updating-drupal/updating-drupal-core-via-drush
https://drupalize.me/tutorial/update-drupal-versions-prior-88x-using-composer?p=3233
https://github.com/mglaman/drupal-check
https://cybertaxonomy.org/theme/custom/

#9 - 05/20/2022 02:50 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

cybertaxonomy.org is updated to 9.3 and using core-recommended (see https://github.com/drupal/core-recommended), the file structure is adapted to
the actual recommended structure for drupal projects.

Please have a look whether everything works as expected.

#10 - 05/20/2022 02:51 PM - Katja Luther
- % Done changed from 0 to 70

#11 - 07/08/2022 11:21 PM - Andreas Miiller

On https://cybertaxonomy.org/node/4/edit | tried to change the link for "Taxonomic Editor (TaxEditor)" from "http://wp5.e-taxonomy.eu/taxeditor/" to "
https://cybertaxonomy.org/taxeditor/" in the pop-up dialogue but when saving the dialogue | always get:

"An error occurred while attempting to process
/editor/dialog/link/basic_html|?_wrapper_format=drupal_modal&ajax_form=1&_wrapper_format=drupal_ajax: ajax.$form.ajaxSubmit is not a function"

#12 - 07/10/2022 10:37 AM - Andreas Miiller

Editing text on https://cybertaxonomy.org/setups/group/server_requirements does not work. The text seems to be stored elsewhere. Maybe this is to
avoid redundancy.

#13 - 07/21/2022 07:00 PM - Andreas Miiller
- Priority changed from New to Priority14

#14 - 07/26/2022 01:36 PM - Andreas Miiller

- Private changed from Yes to No

#15 - 08/25/2022 10:35 AM - Katja Luther

Problems with url editing is fixed with an update to 9.4.5

#16 - 08/25/2022 03:29 PM - Andreas Miiller

There are still folders "/var/www/drupal-8.9", "/var/www/drupal-8" and "/var/www/_drupal-8" on edit-community. Can they be removed or archived?

#17 - 08/25/2022 03:41 PM - Andreas Miiller
- File clipboard-202208251540-b4bxw.png added

Uploading an image while editing content (in basic html mode) did not work. | always got the following error:
#18 - 08/25/2022 05:25 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 70 to 80

Also the old drupal databases should be archived?

#19 - 08/26/2022 09:58 AM - Katja Luther

Andreas Muller wrote in #note-17:

Uploading an image while editing content (in basic html mode) did not work. | always got the following error:

Maybe this is because of right issues, | will have a look.
-> changed the group to www-data (the apache user) and add write rights to the group for the "files" directory.

-> This should be fixed now. | tried to upload an image and there was no error anymore.

#20 - 08/26/2022 11:51 AM - Katja Luther

- Status changed from Feedback to Resolved

Andreas Muller wrote in #note-18:

Also the old drupal databases should be archived?

All old drupal directories and drupal databases are backuped to /var/backups/archived-www

The database drupal9-edit is not used, | will remove it and rename the drupal8-edit database.

#21 - 08/26/2022 12:02 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

Please have a look whether everything works now. | checked adding an image and editing the text, also the layout is the same as before.
04/20/2024 3/4



clipboard-202208251540-b4bxw.png 21.4KB 08/25/2022 Andreas Miller
